Bug 165353 - Review Request: libtranslate - A natural language translation library
Summary: Review Request: libtranslate - A natural language translation library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: David Lawrence
URL: http://www.nongnu.org/libtranslate
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 165960
TreeView+ depends on / blocked
 
Reported: 2005-08-08 14:11 UTC by Dmitry Butskoy
Modified: 2012-02-13 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 13:46:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-cvs+


Attachments (Terms of Use)
cleanups for libtranslate.spec (1.81 KB, patch)
2005-08-18 15:14 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Dmitry Butskoy 2005-08-08 14:11:08 UTC
Spec Name or Url: libtranslate.spec
SRPM Name or Url: libtranslate-0.99-1.src.rpm
Description:
  Absence of any software for machine translation is one of the common problem for Linux desktops. This package tries to start to resolve it, using (as first
possibility) free web-based translation services.

  Libtranslate is a library for translating text and web pages
between natural languages. Its modular infrastructure allows
to implement new translation engines separately from the core library.

  Libtranslate is shipped with a generic module, which uses
web-based translation services such as Babel Fish, Google Language Tools
and SYSTRAN. Moreover, the generic module allows to add new servicess
simply by adding a few lines to a XML file.

  The libtranslate distribution includes a powerful command line interface.

  A powerful GUI for libtranslate is present too, it is "gnome-translate" package (which I hope to add next).

  By the way, I used gnome-translate/libtranslate when wrote this text.

Comment 1 Dmitry Butskoy 2005-08-15 10:49:47 UTC
  Correct URL. 

  Also I have added "gnome-translate" package for review, which is just a Gnome
GUI for libtranslate. It is better to examine both these packages together.

Comment 2 Dmitry Butskoy 2005-08-15 22:56:57 UTC
  Fixed (provide full url):

Spec Name or Url: http://dmitry.butskoy.name/libtranslate/libtranslate.spec
SRPM Name or Url:
http://dmitry.butskoy.name/libtranslate/libtranslate-0.99-1.src.rpm

Comment 3 Tom "spot" Callaway 2005-08-18 15:13:28 UTC
There are a couple of items I'd like you to fix before I do the formal review.

I've provided a diff that implements these items:

- I strongly recommend that you use the %{?dist} tag. It will help you ensure
that builds for each branch do not have the same n-v-r

- Get rid of all of the Requires, except libsoup >= 2.2, because rpm finds them
automatically.

- Devel packages should Require: %{name} = %{version}-%{release}

- You need to run: rm -f $RPM_BUILD_ROOT%{_libdir}/libtranslate/modules/*.la

- Your %files needs a little work. Remember, you need to own directories that
you create, but not directories that already exist on the system. This means
that you need to own %{_libdir}/libtranslate/ and
%{_libdir}/libtranslate/modules/ and %{_includedir}/libtranslate/ ... but NOT
%{_datadir}/gtk-doc/

Comment 4 Tom "spot" Callaway 2005-08-18 15:14:39 UTC
Created attachment 117872 [details]
cleanups for libtranslate.spec

Comment 5 Dmitry Butskoy 2005-08-19 10:50:43 UTC
  Thanks,

  New srpms is at
http://dmitry.butskoy.name/libtranslate/libtranslate-0.99-3.src.rpm

  I also remove libtranslate/modules/*.a from devel package, IMHO it is not
needed...

  An appropriate cleanups was made for gnome-translate too (bug #165960).

Comment 6 Tom "spot" Callaway 2005-09-07 00:08:27 UTC
Review:

Good:

- rpmlint output: 
E: libtranslate outside-libdir-files /usr/share/libtranslate/services.dtd
Safe to ignore.
- meets naming guidelines
- license BSD ok, license text in %doc, matches source
- spec file in Am. English, legible
- source matches upstream
- compiles on devel (x86)
- no missing, unnecessary BR
- locales handled properly
- post/postun ldconfig ok
- not relocatable
- owns all directories that it creates
- no duplicate files in %files
- permissions on files ok
- clean ok
- macros consistent
- code, not content     
- no need for -docs
- nothing in %doc affects runtime     
- headers and .a in -devel
- pkgconfig file in -devel
- suffixed libs in main package
- devel requires base using n-v-r
- no la libtool archives
- no need for .desktop

Needsfix:
- Buildroot should be :
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Nitpick:
- You don't need to do this:

%dir %{_libdir}/libtranslate/
%dir %{_libdir}/libtranslate/modules/
%{_libdir}/libtranslate/modules/*.so

Instead, just do:

%{_libdir}/libtranslate/

That will give you directory ownership of %{_libdir}/libtranslate/, all the
directories beneath it, and all the files in it.

Please correct the Needsfix and the Nitpick items before committing, but this
package is APPROVED.

Comment 7 Dmitry Butskoy 2005-09-07 09:46:46 UTC
> - rpmlint output: 
> E: libtranslate outside-libdir-files /usr/share/libtranslate/services.dtd
> Safe to ignore.

Strange, my rpmlint-0.71-1 (FE3) say nothing about it...

Buildroot and libdir: done.




Comment 8 Tom "spot" Callaway 2005-09-07 14:41:21 UTC
Whoops. Older version of rpmlint. :)

Comment 9 Dmitry Butskoy 2005-09-08 13:46:06 UTC
  Tom,

  Whether could you also review GUI part? (gnome-translate, bug #165960 )
I hope, that you will estimate power and all the benefits of this program for
desktop users...


Comment 10 Christian Iseli 2006-10-18 08:57:17 UTC
Normalize summary field for easy parsing

Comment 11 Dmitry Butskoy 2006-10-18 13:04:12 UTC
> Normalize summary field for easy parsing
What for?

This was closed one year ago... 

Comment 12 Christian Iseli 2006-10-18 13:37:54 UTC
(In reply to comment #11)
> > Normalize summary field for easy parsing
> What for?
> 
> This was closed one year ago... 

As mentioned: parsing...
I do that when I prepare the PackageStatus page
Probably also needed when we'll populate the upcoming package database...

Comment 13 Dmitry Butskoy 2012-02-13 12:07:03 UTC
Package Change Request
======================
Package Name: libtranslate
New Branches: el6
Owners: buc

Comment 14 Gwyn Ciesla 2012-02-13 14:47:52 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.